$(BUILD_DIR_ZIP)/ferrum.zip:
	$(V)echo ... $@
	$(V)mkdir -p $(BUILD_DIR_ZIP)/ferrum
	$(V)cp $(BUILD_DIR_64)/subprojects/capnhook/inject/inject.exe \
		$(BUILD_DIR_64)/ferrumhook/ferrumhook.dll \
		$(DIST_DIR)/ferrum/bananatools.ini \
		$(DIST_DIR)/ferrum/start.bat \
    	$(BUILD_DIR_ZIP)/ferrum
	$(V)strip $(BUILD_DIR_ZIP)/ferrum/*.{exe,dll}
	$(V)cd $(BUILD_DIR_ZIP)/ferrum ; zip -r ../ferrum.zip *

$(BUILD_DIR_ZIP)/taiko.zip:
	$(V)echo ... $@
	$(V)mkdir -p $(BUILD_DIR_ZIP)/taiko
	$(V)cp $(BUILD_DIR_64)/subprojects/capnhook/inject/inject.exe \
		$(BUILD_DIR_64)/taikohook/taikohook.dll \
		$(DIST_DIR)/taiko/bananatools.ini \
		$(DIST_DIR)/taiko/start.bat \
    	$(BUILD_DIR_ZIP)/taiko
	$(V)strip $(BUILD_DIR_ZIP)/taiko/*.{exe,dll}
	$(V)cd $(BUILD_DIR_ZIP)/taiko ; zip -r ../taiko.zip *

$(BUILD_DIR_ZIP)/doc.zip: \
		$(DOC_DIR)/ferrumhook.md \
		$(DOC_DIR)/taikohook.md \
		| $(zipdir)/
	$(V)echo ... $@
	$(V)zip -r $@ $^

$(BUILD_DIR_ZIP)/bananatools.zip: \
		$(BUILD_DIR_ZIP)/ferrum.zip \
		$(BUILD_DIR_ZIP)/taiko.zip \
		$(BUILD_DIR_ZIP)/doc.zip \
		README.md \

	$(V)echo ... $@
	$(V)zip -j $@ $^
