#include <windows.h>

#include <assert.h>
#include <stddef.h>
#include <stdio.h>

#include "taikoio/config.h"

void taiko_io_config_load(struct taiko_input_config *cfg, const char *filename) 
{    
    cfg->test = GetPrivateProfileIntW(L"input", L"test", VK_HOME, filename);
    cfg->service = GetPrivateProfileIntW(L"input", L"service", VK_DELETE, filename);
    cfg->coin = GetPrivateProfileIntW(L"input", L"coin", VK_INSERT, filename);
    cfg->up = GetPrivateProfileIntW(L"input", L"up", VK_UP, filename);
    cfg->down = GetPrivateProfileIntW(L"input", L"down", VK_DOWN, filename);
    cfg->enter = GetPrivateProfileIntW(L"input", L"enter", VK_RETURN, filename);
}